Show / Hide Table of Contents

# Class BattleNpc

This class represents a battle NPC.

##### Inheritance

System.Object
GameObject
Character
BattleChara
BattleNpc

##### Implements

System.IEquatable<GameObject>

##### Inherited Members

BattleChara.StatusList
BattleChara.IsCasting
BattleChara.IsCastInterruptible
BattleChara.CastActionType
BattleChara.CastActionId
BattleChara.CastTargetObjectId
BattleChara.CurrentCastTime
BattleChara.TotalCastTime
Character.CurrentHp
Character.MaxHp
Character.CurrentMp
Character.MaxMp
Character.CurrentGp
Character.MaxGp
Character.CurrentCp
Character.MaxCp
Character.ClassJob
Character.Level
Character.Customize
Character.CompanyTag
Character.NameId
Character.StatusFlags
GameObject.InvalidGameObjectId
GameObject.Address
GameObject.IsValid(GameObject)
GameObject.IsValid()
GameObject.IEquatable<GameObject>.Equals(GameObject)
GameObject.Equals(Object)
GameObject.GetHashCode()
GameObject.Name
GameObject.ObjectId
GameObject.DataId
GameObject.OwnerId
GameObject.ObjectKind
GameObject.SubKind
GameObject.YalmDistanceX
GameObject.YalmDistanceZ
GameObject.Position
GameObject.Rotation
GameObject.HitboxRadius
GameObject.TargetObject
GameObject.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Game.ClientState.Objects.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class BattleNpc : BattleChara, IEquatable<GameObject>

### Properties

| Improve this Doc View Source

#### BattleNpcKind

Gets the BattleNpc BattleNpcSubKind of this BattleNpc.

##### Declaration

    public BattleNpcSubKind BattleNpcKind { get; }

##### Property Value

Type | Description
--- | ---
BattleNpcSubKind |

| Improve this Doc View Source

#### TargetObjectId

Gets the target object ID of the character.

##### Declaration

    public override uint TargetObjectId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

##### Overrides

Character.TargetObjectId

### Implements

System.IEquatable<T>